import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PublishInput } from "../types/PublishInput";
import { PublishOutput } from "../types/PublishOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/PublishInput";
export * from "../types/PublishOutput";
export * from "../types/PublishExceptionsUnion";
export declare class PublishCommand implements __aws_sdk_types.Command<InputTypesUnion, PublishInput, OutputTypesUnion, PublishOutput, SNSResolvedConfiguration, Blob> {
    readonly input: PublishInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PublishInput, PublishOutput, Blob>;
    constructor(input: PublishInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<PublishInput, PublishOutput>;
}
