"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetEndpointAttributesInput_1 = require("../shapes/GetEndpointAttributesInput");
var GetEndpointAttributesOutput_1 = require("../shapes/GetEndpointAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetEndpointAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetEndpointAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetEndpointAttributesInput_1.GetEndpointAttributesInput
    },
    output: {
        shape: GetEndpointAttributesOutput_1.GetEndpointAttributesOutput,
        resultWrapper: "GetEndpointAttributesResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=GetEndpointAttributes.js.map