"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetTopicAttributesInput_1 = require("../shapes/GetTopicAttributesInput");
var GetTopicAttributesOutput_1 = require("../shapes/GetTopicAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var InvalidSecurityException_1 = require("../shapes/InvalidSecurityException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetTopicAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetTopicAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetTopicAttributesInput_1.GetTopicAttributesInput
    },
    output: {
        shape: GetTopicAttributesOutput_1.GetTopicAttributesOutput,
        resultWrapper: "GetTopicAttributesResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: InvalidSecurityException_1.InvalidSecurityException
        }
    ]
};
//# sourceMappingURL=GetTopicAttributes.js.map