"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsForResourceInput_1 = require("../shapes/ListTagsForResourceInput");
var ListTagsForResourceOutput_1 = require("../shapes/ListTagsForResourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var TagPolicyException_1 = require("../shapes/TagPolicyException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ConcurrentAccessException_1 = require("../shapes/ConcurrentAccessException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForResourceInput_1.ListTagsForResourceInput
    },
    output: {
        shape: ListTagsForResourceOutput_1.ListTagsForResourceOutput,
        resultWrapper: "ListTagsForResourceResult"
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TagPolicyException_1.TagPolicyException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: ConcurrentAccessException_1.ConcurrentAccessException
        }
    ]
};
//# sourceMappingURL=ListTagsForResource.js.map