"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetPlatformApplicationAttributesInput_1 = require("../shapes/SetPlatformApplicationAttributesInput");
var SetPlatformApplicationAttributesOutput_1 = require("../shapes/SetPlatformApplicationAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetPlatformApplicationAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetPlatformApplicationAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetPlatformApplicationAttributesInput_1.SetPlatformApplicationAttributesInput
    },
    output: {
        shape: SetPlatformApplicationAttributesOutput_1.SetPlatformApplicationAttributesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=SetPlatformApplicationAttributes.js.map