import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPlatformApplicationsInput } from "../types/ListPlatformApplicationsInput";
import { ListPlatformApplicationsOutput } from "../types/ListPlatformApplicationsOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/ListPlatformApplicationsInput";
export * from "../types/ListPlatformApplicationsOutput";
export * from "../types/ListPlatformApplicationsExceptionsUnion";
export declare class ListPlatformApplicationsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPlatformApplicationsInput, OutputTypesUnion, ListPlatformApplicationsOutput, SNSResolvedConfiguration, Blob> {
    readonly input: ListPlatformApplicationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPlatformApplicationsInput, ListPlatformApplicationsOutput, Blob>;
    constructor(input: ListPlatformApplicationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<ListPlatformApplicationsInput, ListPlatformApplicationsOutput>;
}
