import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListSubscriptionsByTopicInput } from "../types/ListSubscriptionsByTopicInput";
import { ListSubscriptionsByTopicOutput } from "../types/ListSubscriptionsByTopicOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/ListSubscriptionsByTopicInput";
export * from "../types/ListSubscriptionsByTopicOutput";
export * from "../types/ListSubscriptionsByTopicExceptionsUnion";
export declare class ListSubscriptionsByTopicCommand implements __aws_sdk_types.Command<InputTypesUnion, ListSubscriptionsByTopicInput, OutputTypesUnion, ListSubscriptionsByTopicOutput, SNSResolvedConfiguration, Blob> {
    readonly input: ListSubscriptionsByTopicInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListSubscriptionsByTopicInput, ListSubscriptionsByTopicOutput, Blob>;
    constructor(input: ListSubscriptionsByTopicInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<ListSubscriptionsByTopicInput, ListSubscriptionsByTopicOutput>;
}
