"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListSubscriptionsByTopic_1 = require("../model/operations/ListSubscriptionsByTopic");
var ListSubscriptionsByTopicCommand = /** @class */ (function () {
    function ListSubscriptionsByTopicCommand(input) {
        this.input = input;
        this.model = ListSubscriptionsByTopic_1.ListSubscriptionsByTopic;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListSubscriptionsByTopicCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListSubscriptionsByTopicCommand;
}());
exports.ListSubscriptionsByTopicCommand = ListSubscriptionsByTopicCommand;
//# sourceMappingURL=ListSubscriptionsByTopicCommand.js.map