"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPhoneNumbersOptedOutInput_1 = require("../shapes/ListPhoneNumbersOptedOutInput");
var ListPhoneNumbersOptedOutOutput_1 = require("../shapes/ListPhoneNumbersOptedOutOutput");
var ThrottledException_1 = require("../shapes/ThrottledException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPhoneNumbersOptedOut = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPhoneNumbersOptedOut",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListPhoneNumbersOptedOutInput_1.ListPhoneNumbersOptedOutInput
    },
    output: {
        shape: ListPhoneNumbersOptedOutOutput_1.ListPhoneNumbersOptedOutOutput,
        resultWrapper: "ListPhoneNumbersOptedOutResult"
    },
    errors: [
        {
            shape: ThrottledException_1.ThrottledException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        }
    ]
};
//# sourceMappingURL=ListPhoneNumbersOptedOut.js.map