"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListSubscriptionsInput_1 = require("../shapes/ListSubscriptionsInput");
var ListSubscriptionsOutput_1 = require("../shapes/ListSubscriptionsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListSubscriptions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListSubscriptions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListSubscriptionsInput_1.ListSubscriptionsInput
    },
    output: {
        shape: ListSubscriptionsOutput_1.ListSubscriptionsOutput,
        resultWrapper: "ListSubscriptionsResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=ListSubscriptions.js.map