"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MessageAttributeMap_1 = require("./_MessageAttributeMap");
exports.PublishInput = {
    type: "structure",
    required: ["Message"],
    members: {
        TopicArn: {
            shape: {
                type: "string"
            }
        },
        TargetArn: {
            shape: {
                type: "string"
            }
        },
        PhoneNumber: {
            shape: {
                type: "string"
            }
        },
        Message: {
            shape: {
                type: "string"
            }
        },
        Subject: {
            shape: {
                type: "string"
            }
        },
        MessageStructure: {
            shape: {
                type: "string"
            }
        },
        MessageAttributes: {
            shape: _MessageAttributeMap_1._MessageAttributeMap
        }
    }
};
//# sourceMappingURL=PublishInput.js.map