import { AddPermissionInput } from "./AddPermissionInput";
import { CheckIfPhoneNumberIsOptedOutInput } from "./CheckIfPhoneNumberIsOptedOutInput";
import { ConfirmSubscriptionInput } from "./ConfirmSubscriptionInput";
import { CreatePlatformApplicationInput } from "./CreatePlatformApplicationInput";
import { CreatePlatformEndpointInput } from "./CreatePlatformEndpointInput";
import { CreateTopicInput } from "./CreateTopicInput";
import { DeleteEndpointInput } from "./DeleteEndpointInput";
import { DeletePlatformApplicationInput } from "./DeletePlatformApplicationInput";
import { DeleteTopicInput } from "./DeleteTopicInput";
import { GetEndpointAttributesInput } from "./GetEndpointAttributesInput";
import { GetPlatformApplicationAttributesInput } from "./GetPlatformApplicationAttributesInput";
import { GetSMSAttributesInput } from "./GetSMSAttributesInput";
import { GetSubscriptionAttributesInput } from "./GetSubscriptionAttributesInput";
import { GetTopicAttributesInput } from "./GetTopicAttributesInput";
import { ListEndpointsByPlatformApplicationInput } from "./ListEndpointsByPlatformApplicationInput";
import { ListPhoneNumbersOptedOutInput } from "./ListPhoneNumbersOptedOutInput";
import { ListPlatformApplicationsInput } from "./ListPlatformApplicationsInput";
import { ListSubscriptionsInput } from "./ListSubscriptionsInput";
import { ListSubscriptionsByTopicInput } from "./ListSubscriptionsByTopicInput";
import { ListTagsForResourceInput } from "./ListTagsForResourceInput";
import { ListTopicsInput } from "./ListTopicsInput";
import { OptInPhoneNumberInput } from "./OptInPhoneNumberInput";
import { PublishInput } from "./PublishInput";
import { RemovePermissionInput } from "./RemovePermissionInput";
import { SetEndpointAttributesInput } from "./SetEndpointAttributesInput";
import { SetPlatformApplicationAttributesInput } from "./SetPlatformApplicationAttributesInput";
import { SetSMSAttributesInput } from "./SetSMSAttributesInput";
import { SetSubscriptionAttributesInput } from "./SetSubscriptionAttributesInput";
import { SetTopicAttributesInput } from "./SetTopicAttributesInput";
import { SubscribeInput } from "./SubscribeInput";
import { TagResourceInput } from "./TagResourceInput";
import { UnsubscribeInput } from "./UnsubscribeInput";
import { UntagResourceInput } from "./UntagResourceInput";
export declare type InputTypesUnion = AddPermissionInput | CheckIfPhoneNumberIsOptedOutInput | ConfirmSubscriptionInput | CreatePlatformApplicationInput | CreatePlatformEndpointInput | CreateTopicInput | DeleteEndpointInput | DeletePlatformApplicationInput | DeleteTopicInput | GetEndpointAttributesInput | GetPlatformApplicationAttributesInput | GetSMSAttributesInput | GetSubscriptionAttributesInput | GetTopicAttributesInput | ListEndpointsByPlatformApplicationInput | ListPhoneNumbersOptedOutInput | ListPlatformApplicationsInput | ListSubscriptionsInput | ListSubscriptionsByTopicInput | ListTagsForResourceInput | ListTopicsInput | OptInPhoneNumberInput | PublishInput | RemovePermissionInput | SetEndpointAttributesInput | SetPlatformApplicationAttributesInput | SetSMSAttributesInput | SetSubscriptionAttributesInput | SetTopicAttributesInput | SubscribeInput | TagResourceInput | UnsubscribeInput | UntagResourceInput;
